- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDataGatewayCommand
TDataGatewayEventParameter
TDataGatewayResultEventParameter
TSqlCriteria
TTableGateway

Keyword

# Class TDataGatewayEventParameter

    TComponent
       |
       --TEventParameter
          |
          --TDataGatewayEventParameter

TDataGatewayEventParameter class contains the TDbCommand to be executed as well as the criteria object.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constructor Summary
public | __construct Array

Method Summary
TDbCommand | getCommand () The database command to be executed. Do not rebind the parameters or change the sql query string.
TSqlCriteria | getCriteria ()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Method Details

## getCommand

public TDbCommand getCommand | ()

The database command to be executed. Do not rebind the parameters or change the sql query string.

Output
TDbCommand | command to be executed.
Exception

## getCriteria

public TSqlCriteria getCriteria | ()

Output
TSqlCriteria | criteria used to bind the sql query parameters.
Exception